
/* zscii.h
 *
 * This file is part of fizmo.
 *
 * Copyright (c) 2009-2016 Christoph Ender.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef zscii_h_INCLUDED
#define zscii_h_INCLUDED

#define ZSCII_NULL 0
#define ZSCII_DELETE 8
#define ZSCII_TAB 9
#define ZSCII_SENTENCE_SPACE 11
#define ZSCII_NEWLINE 13
#define ZSCII_ESCAPE 27
#define ZSCII_CURSOR_UP 129
#define ZSCII_CURSOR_DOWN 130
#define ZSCII_CURSOR_LEFT 131
#define ZSCII_CURSOR_RIGHT 132
#define ZSCII_F1 133
#define ZSCII_F2 134
#define ZSCII_F3 135
#define ZSCII_F4 136
#define ZSCII_F5 137
#define ZSCII_F6 138
#define ZSCII_F7 139
#define ZSCII_F8 140
#define ZSCII_F9 141
#define ZSCII_F10 142
#define ZSCII_F11 143
#define ZSCII_F12 144
#define ZSCII_KEYPAD_0 145
#define ZSCII_KEYPAD_1 146
#define ZSCII_KEYPAD_2 147
#define ZSCII_KEYPAD_3 148
#define ZSCII_KEYPAD_4 149
#define ZSCII_KEYPAD_5 150
#define ZSCII_KEYPAD_6 151
#define ZSCII_KEYPAD_7 152
#define ZSCII_KEYPAD_8 153
#define ZSCII_KEYPAD_9 154

#endif /* zscii_h_INCLUDED */

